Error de libpq.dll

Soy un principiante en RoR y estoy siguiendo los pasos de un tutorial
para
la creación de un Blog.
Uno de los pasos indica lo siguiente: ruby script/generate scaffold
Article
admin/article
pero al ejecutar dicha sentencia me despliega el siguiente error:

Error al iniciar la aplicación por que no se encontró libpq.dll. La
reinstalación de la aplicación puede solucionar el problema.

Lo extraño es que tengo instalado la gema
ruby-postgres-0.7.1.2006.04.06-
mswin32.gem que debería darme esas bibliotecas.

Estoy usando ruby 1.8.6, Rails 1.1.6, Postgresql 8.2.5 y todo esto en
Windos
XP Professional

¿Que puede estar fallando?

Gracias

Sergio Valdés wrote:

Lo extraño es que tengo instalado la gema
ruby-postgres-0.7.1.2006.04.06-
mswin32.gem que debería darme esas bibliotecas.

Hola Sergio,

Posiblemente esto tenga que ver más con Postgresql que con Rails ó Ruby.
Lo único que te puedo decir es que este componente ó no se encuentra en
ese equipo ó bien no está registrado.

Espero te sirva.

Jaime Mora R.

yo uso windows vista basic con ruby 1.8.6 y postgres 8.2 (es la maquina
que
me dieron en el trabajo para desarollo en lo personal detesto el windows
vista pero que se le hace xD) bueno el scaffold a mi me va bien que tal
si
intentas en consola poner esta gema.

gem install postgres-pr

espero te sirva sale suerte

Ing. Omar Sebastian Jimenez Becerra

El día 11/12/07, raul [email protected] escribió:

Sergio Valdés <[email protected]…> writes:

Soy un principiante en RoR y estoy siguiendo los pasos de un tutorial para la
creación de un Blog.Uno de los pasos indica lo siguiente: ruby
script/generate
scaffold Article admin/articlepero al ejecutar dicha sentencia me
despliega el
siguiente error:
Error al iniciar la aplicación por que no se encontró
libpq.dll. La reinstalación de la aplicación puede solucionar el problema.Lo
extraño es que tengo instalado la gema ruby-postgres-0.7.1.2006.04.06
-mswin32.gem que debería darme esas bibliotecas.Estoy usando ruby 1.8.6, Rails
1.1.6, Postgresql 8.2.5 y todo esto en Windos XP Professional¿Que puede
estar
fallando?Gracias

Soy un principiante en RoR y estoy siguiendo los pasos de un tutorial para

la creación de un Blog.
Uno de los pasos indica lo siguiente:
ruby
script/generate scaffold Article admin/article
pero al ejecutar dicha
sentencia me despliega el siguiente error:



Error al iniciar la aplicación por que no se encontró
libpq.dll. La reinstalación de la aplicación puede solucionar el
problema.

Lo extraño es que tengo instalado la gema
ruby-postgres-0.7.1.2006.04.06

-mswin32.gem que debería darme esas bibliotecas.

Estoy

usando ruby 1.8.6, Rails 1.1.6, Postgresql 8.2.5 y todo esto en Windos
XP
Professional

¿Que puede estar
fallando?

Gracias


my friend…

yo tambien soy nuevo en ambas cosas, y por lo tanto no puedo dar
soluciones pero
si una idea.

Para lo unico que he encontrado soporte con ruby es postgres 8.1, no
sera que
para esta version aun no lo soporta ruby…??, el tutorial especifica que
es esa
la version de postgres con la que trabaja ?

espero te ayude

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs